// naumann@stce.rwth-aachen.de

#include "io.hpp"
#include "estimate.hpp"

#include <iostream> 
#include <fstream> 
#include <cassert> 
#include <cmath> 
#include <vector> 
#include <limits>

int main(int argc, char *argv[]) {
  using T=float;
  assert(argc==2); 

  std::ifstream in(argv[1]); 
  T p=0; std::vector<T> x,y; 
  read_data(in,p,x,y);
  in.close(); 

  std::cout << "new observation:" << std::endl;
  T aux;
  std::cout << "x="; std::cin >> aux; x.push_back(aux);
  std::cout << "y="; std::cin >> aux; y.push_back(aux);
  p=estimate(p,x,y,static_cast<T>(sqrt(std::numeric_limits<T>::epsilon())));
  std::cout << "new p=" << p << std::endl;

  std::ofstream out(argv[1]); 
  write_data(out,p,x,y);
  out.close(); 
  return 0;
}

#include "io.cpp"
#include "estimate.cpp"
